import opale.tools.*;
import opale.mathtools.*;
import opale.ode.ker.*;
import opale.ode.scheme.*;


public class ex1D2
	{
	
	public static void main(String[] arg)
	{
	
	Problem pb = new Problem(2); // dclaration d'un problme de dimension 2
	ExplicitEuler ts = new ExplicitEuler();	// schma en temps Euler explicite
	pb.setEqn(	// on dfinit et accroche l'quation au problme
		new Equation()
			{
			DVect y = new DVect(2);
			public int dim() { return 2; }
			public DVect derivs(double t, DVect x)
				{
				//y[0]=-x[0]*x[0]+x[0]*x[1];
				//y[1]=-x[1]*x[1]-x[0]*x[1];
				y.set(0, x.get(1));
				y.set(1,-x.get(0));
				return y;
				}
			}
		);
	DVect cd = new DVect(2);	// dclaration de la condition initiale
	cd.set(0,1);	// dfinition de la condition initale
	cd.set(1,0);
	pb.setInit(cd);	// on l'accroche au problme
	ts.set(0,10);	// domaine d'tude
	ts.setNstep(1000);	// nb de pas de temps
	pb.setTS(ts);	// on accroche le schma au problme
	pb.solve();	// on rsoud !!
	
	try
	{
	WFile wf = new WFile("resu1d2.txt");	// ouverture d'un fichier en criture
	pb.writeSol(wf);	// on y crit la solution
	wf.writeln("");
	wf.close();
	}
	catch(java.io.IOException e)
	{}	


	}

}
